전화번호
050 안심번호 착신 변경
걸려 온 통화를 보낼 곳을 바꿉니다. 두 가지 방식이 있습니다.
carrier_direct통신사가forwardTargets(휴대전화·지역번호·070, 최대 3개)로 바로 연결합니다.platform우리 시스템이 받아forwardTo(내가 보유한 070 또는 대표번호)로 전환합니다. 대표번호로 받으려면 이 방식을 씁니다.
호출할 때마다 방식이 호출한 값으로 바뀝니다(예: platform 이던 번호를 carrier_direct 로 호출하면 직결로 바뀝니다).
통신사 반영은 보통 바로 끝나며, 늦어도 5분 안에 반영됩니다. carrierStatus 로 확인합니다.
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
계정 ID
number*string
050 안심번호
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/accounts/AC1a2b3c4d/safety-numbers/050412345678/forwarding" \ -H "Content-Type: application/json" \ -d '{ "forwardMode": "carrier_direct", "forwardTargets": [ "01012345678" ] }'{
"number": "050412345678",
"forwardMode": "carrier_direct",
"forwardTargets": [
"01012345678"
],
"carrierStatus": "pending"
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
],
"numbers": [
"07012345678"
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
],
"numbers": [
"07012345678"
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
],
"numbers": [
"07012345678"
]
}